Installer GNUCASH

Forum d'aide générale sur Slackware
ditpey
Messages : 3
Inscription : 12 mai 2018, 13:59

Installer GNUCASH

Message par ditpey » 12 mai 2018, 14:16

Bonjour
Je n'arrive pas à installer la dépendance webkit2gtk.

Code : Tout sélectionner

woff2-1.0.2/
woff2-1.0.2/.gitignore
woff2-1.0.2/.gitmodules
woff2-1.0.2/CMakeLists.txt
woff2-1.0.2/CONTRIBUTING.md
woff2-1.0.2/LICENSE
woff2-1.0.2/Makefile
woff2-1.0.2/README.md
woff2-1.0.2/brotli/
woff2-1.0.2/cmake/
woff2-1.0.2/cmake/FindBrotliDec.cmake
woff2-1.0.2/cmake/FindBrotliEnc.cmake
woff2-1.0.2/include/
woff2-1.0.2/include/woff2/
woff2-1.0.2/include/woff2/decode.h
woff2-1.0.2/include/woff2/encode.h
woff2-1.0.2/include/woff2/output.h
woff2-1.0.2/src/
woff2-1.0.2/src/buffer.h
woff2-1.0.2/src/convert_woff2ttf_fuzzer.cc
woff2-1.0.2/src/convert_woff2ttf_fuzzer_new_entry.cc
woff2-1.0.2/src/file.h
woff2-1.0.2/src/font.cc
woff2-1.0.2/src/font.h
woff2-1.0.2/src/glyph.cc
woff2-1.0.2/src/glyph.h
woff2-1.0.2/src/normalize.cc
woff2-1.0.2/src/normalize.h
woff2-1.0.2/src/port.h
woff2-1.0.2/src/round.h
woff2-1.0.2/src/store_bytes.h
woff2-1.0.2/src/table_tags.cc
woff2-1.0.2/src/table_tags.h
woff2-1.0.2/src/transform.cc
woff2-1.0.2/src/transform.h
woff2-1.0.2/src/variable_length.cc
woff2-1.0.2/src/variable_length.h
woff2-1.0.2/src/woff2_common.cc
woff2-1.0.2/src/woff2_common.h
woff2-1.0.2/src/woff2_compress.cc
woff2-1.0.2/src/woff2_dec.cc
woff2-1.0.2/src/woff2_decompress.cc
woff2-1.0.2/src/woff2_enc.cc
woff2-1.0.2/src/woff2_info.cc
woff2-1.0.2/src/woff2_out.cc
-- The C compiler identification is GNU 4.8.2
-- The CXX compiler identification is GNU 4.8.2
-- Check for working C compiler using: Ninja
-- Check for working C compiler using: Ninja -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler using: Ninja
-- Check for working CXX compiler using: Ninja -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.25") 
-- checking for module 'libbrotlidec'
--   found libbrotlidec, version 1.0.4
-- Found BrotliDec: /usr/include (found version "1.0.4") 
-- checking for module 'libbrotlienc'
--   found libbrotlienc, version 1.0.4
-- Found BrotliEnc: /usr/include (found version "1.0.4") 
-- Configuring done
-- Generating done
-- Build files have been written to: /tmp/SBo/woff2-1.0.2
[1/27] Building CXX object CMakeFiles/woff2common.dir/src/table_tags.cc.o
[2/27] Building CXX object CMakeFiles/woff2common.dir/src/variable_length.cc.o

FAILED: CMakeFiles/woff2common.dir/src/variable_length.cc.o 


/usr/bin/c++   -DFONT_COMPRESSION_BIN -D__STDC_FORMAT_MACROS -Dwoff2common_EXPORTS -fPIC -Isrc -Iinclude    -no-canonical-prefixes -MMD -MT CMakeFiles/woff2common.dir/src/variable_length.cc.o -MF "CMakeFiles/woff2common.dir/src/variable_length.cc.o.d" -o CMakeFiles/woff2common.dir/src/variable_length.cc.o -c src/variable_length.cc
src/variable_length.cc: In function ‘void woff2::Store255UShort(int, size_t*, uint8_t*)’:
src/variable_length.cc:44:30: erreur: range-based ‘for’ loops are not allowed in C++98 mode
   for (uint8_t packed_byte : packed) {
                              ^
[3/27] Building CXX object CMakeFiles/woff2common.dir/src/woff2_common.cc.o
ninja: build stopped: subcommand failed.
Je n'arrive pas à voir la panne dans le log ?

Didier Spaier
Messages : 69
Inscription : 29 janvier 2017, 21:07

Re: Installer GNUCASH

Message par Didier Spaier » 12 mai 2018, 21:05

Bonjour et bienvenue sur ce forum.

Tu ne dis pas quelle version de webkit2gtk tu compiles. Mais s'agit-il de webkit2gtk ou de sa dépendance woff2 comme semble l'indiquer ton journal?

Quelle version de Slackware utilises-tu? Et quelle outils pour compiler? Utilises-tu les SlackBuilds proposés par slackbuilds.org? Directement ou avec sbopkg ou un autre outil?

Sans réponses à ces questions, il est difficile de t'aider.

Bonne soirée,

Didier

ditpey
Messages : 3
Inscription : 12 mai 2018, 13:59

Re: Installer GNUCASH

Message par ditpey » 12 mai 2018, 22:46

Bonsoir
Slackware 14.1. 32bits
Je n'utilise que des SB .
Je log que j'ai mis c'est ce que renvoie le SB.

Didier Spaier
Messages : 69
Inscription : 29 janvier 2017, 21:07

Re: Installer GNUCASH

Message par Didier Spaier » 13 mai 2018, 00:05

Donc, tu utilises sur Slackware 14.1 un SlackBuild destiné à et testé seulement sur Slackware 14.2.

Cela peut expliquer ton problème, et il sera difficile de t'aider

Le plus simple serait de passer à Slackware 14.2, mais peut-être as-tu de bonnes raison de ne pas le faire...

PS même si tu arrivais à compiler woff2, le problème se reposera pour webkit2gtk. Et il ne faudrait pas installer une ancienne version de webkit2gtk, pour lequel des failles de sécurité majeures sont régulièrement comblées par de nouvelles versions.

ditpey
Messages : 3
Inscription : 12 mai 2018, 13:59

Re: Installer GNUCASH

Message par ditpey » 15 mai 2018, 08:19

Salut
Mes PC sont vieux des vieux pentium 4. Et j'ai plus de lecteur de CD ou DVD. J'utilise de moins en moins mes PC et de plus en plus mon smartphone. C'est la taille de l'écran et le clavier qui me ferai pas lâcher le pc.
Au départ j'avais 7 pc, fur à mesure qui meureut je jeté il en reste 3 je risque dans jeter un
J'ai plus de lecteur et ont peu pas bouter sur l'usb pc pas équipe.

Répondre